import React from 'react';
import ReactDOM from 'react-dom';

const width = window.innerWidth;
const height = window.innerHeight;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 70;
const eyeRadius = 30;
const pupilRadius = 20;
const noseWidth = 40;
const noseHeight = 35;
//const mouthWidth = 20;
//const mouthRadius = 140;

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <polygon
        points="100,200 -100,200 -200,0 -200,200 -220,200 -300,50 -220,-140 -200,-175 0,-200 200,-175 220,-140 300,50 220,200 200,200 200,0" 
        fill="black"
        />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        fill="white"
        r={eyeRadius}
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        fill="#964b00"
        r={pupilRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        fill="white"
        r={eyeRadius}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        fill="#964b00"
        r={pupilRadius}
      />
      <polygon
        points="0,100 -50,197 50,197"
        fill="white"
        stroke="black"
        stroke-width={3}
        />
      <ellipse
        cx={0}
        cy={140}
        rx={30}
        ry={25}
        fill="red"
        /> 
      <rect
        x={-25}
        y={100}
        width={50}
        height={25}
        fill="black"
        /> 
      <ellipse
        cx={0}
        cy={70}
        rx={noseWidth}
        ry={noseHeight}
        fill="brown"
        />
      <ellipse
        cx={-18}
        cy={65}
        rx={12}
        ry={10}
        fill="black"
        />
      <ellipse
        cx={18}
        cy={65}
        rx={12}
        ry={10}
        fill="black"
        />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);